Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 484844 - app-emulation/vmware-modules-238.6 for kernel 3.6.10
Summary: app-emulation/vmware-modules-238.6 for kernel 3.6.10
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2013-09-14 07:11 UTC by Jared B.
Modified: 2013-10-22 21:21 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
238-3.10.0.patch (238-3.10.0.patch,22.38 KB, patch)
2013-09-14 07:12 UTC, Jared B.
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jared B. 2013-09-14 07:11:36 UTC
Kernel 3.6.10 introduced some changes that broke vmware-modules.  This was fixed for the versions of vmware-modules supporting VMware Player 4 and 5, but for some reason it was not fixed for vmware-modules-238.6, which is required for VMware Player 3 (which, unfortunately, I still have to use).

The attached patch fixes building under 3.10 and makes VMware Player 3.1.6.744570 usable again.  It's based entirely on 264-3.10.0.patch, which is already in the tree.  Would be great if you could add this as well.

Reproducible: Always
Comment 1 Jared B. 2013-09-14 07:12:20 UTC
Created attachment 358618 [details, diff]
238-3.10.0.patch
Comment 2 Jared B. 2013-09-14 07:13:23 UTC
FYI, this was fixed for the newer versions in bug 470896.  Meant to include that reference in the original description.
Comment 3 Andreas K. Hüttel gentoo-dev 2013-10-22 21:21:36 UTC
Sorry but we're dropping vmware-7. Too much.